libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::ProviderInfo Class Reference

List of all members.

## Public Member Functions

Glib::ustring | get_description () const
Glib::RefPtr<const ParameterList> | get_gda_params () const
Glib::RefPtr<ParameterList> | get_gda_params ()
Glib::ustring | get_id () const
Glib::ustring | get_location () const
const GdaProviderInfo* | gobj () const
GdaProviderInfo* | gobj ()
GdaProviderInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
ProviderInfo& | operator= (const ProviderInfo& src)
| ProviderInfo (const ProviderInfo& src)
| ProviderInfo (GdaProviderInfo* castitem, bool make_a_copy=false)
| ProviderInfo ()
| ~ProviderInfo ()

## Protected Attributes

GdaProviderInfo* | gobject_

## Related Functions

(Note that these are not member functions.)
Gnome::Gda::ProviderInfo | wrap (GdaProviderInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Gnome::Gda::ProviderInfo::ProviderInfo | ( |  | ) |

Gnome::Gda::ProviderInfo::ProviderInfo | ( | GdaProviderInfo * | castitem,
|  | bool | make_a_copy = `false` |
| ) |  |  | `[explicit]`

Gnome::Gda::ProviderInfo::ProviderInfo | ( | const ProviderInfo& | src | ) |

Gnome::Gda::ProviderInfo::~ProviderInfo | ( |  | ) |

## Member Function Documentation

Glib::ustring Gnome::Gda::ProviderInfo::get_description | ( |  | ) | const

Glib::RefPtr<const ParameterList> Gnome::Gda::ProviderInfo::get_gda_params | ( |  | ) | const

Glib::RefPtr<ParameterList> Gnome::Gda::ProviderInfo::get_gda_params | ( |  | ) |

Glib::ustring Gnome::Gda::ProviderInfo::get_id | ( |  | ) | const

Glib::ustring Gnome::Gda::ProviderInfo::get_location | ( |  | ) | const

const GdaProviderInfo* Gnome::Gda::ProviderInfo::gobj | ( |  | ) | const`[inline]`

GdaProviderInfo* Gnome::Gda::ProviderInfo::gobj | ( |  | ) | `[inline]`

GdaProviderInfo* Gnome::Gda::ProviderInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

ProviderInfo& Gnome::Gda::ProviderInfo::operator= | ( | const ProviderInfo& | src | ) |

## Friends And Related Function Documentation

Gnome::Gda::ProviderInfo wrap | ( | GdaProviderInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdaProviderInfo* Gnome::Gda::ProviderInfo::gobject_`[protected]`

The documentation for this class was generated from the following file:

- providerinfo.h